slepc-3.21.1 2024-04-26
Report Typos and Errors

# NEPApplyAdjoint

Applies the adjoint nonlinear function T(lambda)^* to a given vector.

### Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPApplyAdjoint(NEP nep,PetscScalar lambda,Vec x,Vec v,Vec y,Mat A,Mat B)

Collective

### Input Parameters

| nep | - the nonlinear eigensolver context
| lambda | - scalar argument
| x | - vector to be multiplied against
| v | - workspace vector (used only in the case of split form)

### Output Parameters

| y | - result vector
| A | - (optional) Function matrix, for callback interface only
| B | - (unused) preconditioning matrix

### See Also

NEPSetSplitOperator(), NEPComputeFunction(), NEPApplyFunction()

### Level

developer

### Location

src/nep/interface/nepsolve.c

### Examples

src/nep/tutorials/ex42.c
Index of all NEP routines
Table of Contents for all manual pages
Index of all manual pages